Package com.collibra.catalog.api.component.classification.dto

# Enum Class ChangeClassificationMatchRequest.ClassificationStatus

Object
Enum<ChangeClassificationMatchRequest.ClassificationStatus>
ClassificationStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<ChangeClassificationMatchRequest.ClassificationStatus>`, `Constable`

Enclosing class:
  `ChangeClassificationMatchRequest`

public static enum ChangeClassificationMatchRequest.ClassificationStatus extends Enum<ChangeClassificationMatchRequest.ClassificationStatus>
The status of classification match to be changed to. Accepted means that user accepts this classification match between classification and an asset. Rejected means that user rejects this classification match between classification and an asset.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCEPTED`
  `REJECTED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChangeClassificationMatchRequest.ClassificationStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ChangeClassificationMatchRequest.ClassificationStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ACCEPTED

    public static final ChangeClassificationMatchRequest.ClassificationStatus ACCEPTED

  - ### REJECTED

    public static final ChangeClassificationMatchRequest.ClassificationStatus REJECTED

- ## Method Details

  - ### values

    public static ChangeClassificationMatchRequest.ClassificationStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ChangeClassificationMatchRequest.ClassificationStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null